import { vi, beforeEach } from 'vitest';

import '@testing-library/jest-dom/vitest';

beforeEach(() => {
  if (typeof Element !== 'undefined') {
    Element.prototype.scrollIntoView = vi.fn();
  }
});